HEX

Warning: set_time_limit() [function.set-time-limit]: Cannot set time limit - prohibited by configuration in /home/u547966/brikov.ru/www/wp-content/plugins/admin-menu-editor/menu-editor.php on line 745
Server: Apache
System: Linux 4.19.0-0.bpo.9-amd64 x86_64 at red40
User: u547966 (5490)
PHP: 5.3.29-mh2
Disabled: syslog, dl, popen, proc_open, proc_nice, proc_get_status, proc_close, proc_terminate, posix_mkfifo, chown, chgrp, accelerator_reset, opcache_reset, accelerator_get_status, opcache_get_status, pcntl_alarm, pcntl_fork, pcntl_waitpid, pcntl_wait, pcntl_wifexited, pcntl_wifstopped, pcntl_wifsignaled, pcntl_wifcontinued, pcntl_wexitstatus, pcntl_wtermsig, pcntl_wstopsig, pcntl_signal, pcntl_signal_dispatch, pcntl_get_last_error, pcntl_strerror, pcntl_sigprocmask, pcntl_sigwaitinfo, pcntl_sigtimedwait, pcntl_exec, pcntl_getpriority, pcntl_setpriority
Upload Files
File: //proc/self/root/usr/bin/editdiff
#!/bin/bash
#
# editdiff - simple wrapper around rediff
# Copyright (C) 2001-2002, 2011 Tim Waugh <twaugh@redhat.com>

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

version() {
  echo "editdiff - patchutils version 0.3.4"
}

usage() {
  echo "usage: editdiff FILE"
}

while [ "$#" -gt 0 ]
do
  case "$1" in
  --help)
	usage
	exit 0
	;;
  --version)
	version
	exit 0
	;;
  --)
	shift || { usage; exit 1; }
	if [ -z "$FILE" ]
	then
	  FILE="$1"
	fi
	shift
	[ "$#" -gt 0 ] && { usage; exit 1; }
	;;
  *)
	if [ -z "$FILE" ]
	then
	  FILE="$1"
	fi
	shift
	;;
  esac
done
[ "$#" -gt 0 ] && { usage; exit 1; }
[ -n "$FILE" ] || { usage; exit 1; }

TMPD="$(mktemp -d /tmp/editdiff.XXXXXX)" || \
	{ echo >&2 "Failed to create temporary directory"; exit 1; }
trap 'rm -rf "${TMPD}"' EXIT
NAME="$(basename "${FILE}")"
filterdiff -v --format=unified <"${FILE}" >"${TMPD}/${NAME}.orig" || exit 1
cp "${TMPD}/${NAME}.orig" "${TMPD}/${NAME}" || exit 1
${EDITOR:-${VISUAL:-sensible-editor}} "${TMPD}/${NAME}" || \
	{ echo >&2 "Editor exited with non-zero exit status"; exit 1; }
cmp -s "${TMPD}/${NAME}" "${TMPD}/${NAME}.orig" && \
	{ echo >&2 "No changes" ; exit 0; }
mv "${FILE}" "${FILE}.orig"
rediff "${TMPD}/${NAME}.orig" "${TMPD}/${NAME}" > "${FILE}" || \
	{ cat "${TMPD}/${NAME}" > "${FILE}"; \
	  echo 1>&2 "rediff failed."
	  echo 1>&2 "Unedited patch is in ${FILE}.orig, edited patch is in ${FILE}";
	  exit 1; }